/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __APPTABLE_H
#define __APPTABLE_H

/******************************************************************************
 * Includes
 *****************************************************************************/

#include "application.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/

#define APP_TABLE_SIZE (sizeof(appTable) / sizeof(AppTableEntry_t))


/******************************************************************************
 * Forward Declarations of Initialization Functions
 *****************************************************************************/

// Mandatory Applications
AppCallback_t* menuAppInit(void);
AppCallback_t* calibAppInit(void);
AppCallback_t* mp3AppInit(void);
AppCallback_t* grid3dAppInit(void);
AppCallback_t* cubeAppInit(void);


/******************************************************************************
 * Global Variables
 *****************************************************************************/

static const AppTableEntry_t
appTable[] =
{
  {APP_PRIO_1, &menuAppInit,    "MenuApp",                  TRUE},
  {APP_PRIO_2, &calibAppInit,   "Touch Screen Calibration", FALSE},
  {APP_PRIO_2, &mp3AppInit,     "MP3 Player",               FALSE},
  {APP_PRIO_2, &grid3dAppInit,  "3D Grid Visualization",    FALSE},
  {APP_PRIO_2, &cubeAppInit,    "3D Cube Visualization",    FALSE},
};

#endif /* end __APPTABLE_H */
