/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/

/******************************************************************************
 * Includes
 *****************************************************************************/

#include <stdlib.h>
#include <string.h>
#include "lpc_types.h"
#include "tsc2046_touch.h"
#include "lpc_swim.h"
#include "globals.h"
#include "application.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/

/******************************************************************************
 * Public variables
 *****************************************************************************/

/******************************************************************************
 * Local variables
 *****************************************************************************/

static SWIM_WINDOW_T BaseWindow;

/******************************************************************************
 * Local functions
 *****************************************************************************/

static void eqMain(void)
{
	while(1);
}

static void cleanup(void)
{
  swim_window_close(&BaseWindow);
}

/******************************************************************************
 * Public Functions
 *****************************************************************************/

static AppCallback_t eqCallback = {
    &eqMain,
    &cleanup,
    NULL,
    0,
    FALSE,
};

AppCallback_t* eqAppInit(void)
{
  return &eqCallback;
}

