/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __GUI_H
#define __GUI_H

/******************************************************************************
 * Includes
 *****************************************************************************/

#include "lpc_types.h"
#include "statemachine.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/

#define GUI_NUM_SAMPLES_PER_CHANNEL  8

typedef struct 
{
  uint16_t left[GUI_NUM_SAMPLES_PER_CHANNEL];
  uint16_t right[GUI_NUM_SAMPLES_PER_CHANNEL];
  uint16_t channels;
} vu_data_t;

/******************************************************************************
 * Global Variables
 *****************************************************************************/


/******************************************************************************
 * Global Functions
 *****************************************************************************/

int GUI_Init(void);
void GUI_SetVolume(uint8_t vol);
void GUI_SetCurrentSong(int id, char* title, char* artist, int lengthInSec);
void GUI_UpdateTime(uint32_t timeInSec);
event_t GUI_PollTouch(void);
void GUI_SetCursor(int newPos);
void GUI_SetVU(vu_data_t* data);
void GUI_ShowWarningMessage(void);

#endif /* end __GUI_H */

