/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __ID3_H
#define __ID3_H

/******************************************************************************
 * Includes
 *****************************************************************************/
#include "lpc_types.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/

#define ID3_MAX_TITLE_LEN   64
#define ID3_MAX_ARTIST_LEN  64
 
typedef struct 
{
  char Title[ID3_MAX_TITLE_LEN + 1];
  char Artist[ID3_MAX_ARTIST_LEN + 1];
  uint32_t DataSize;
} MP3Info_t;

/******************************************************************************
 * Global Variables
 *****************************************************************************/

/******************************************************************************
 * Functions
 *****************************************************************************/

void ID3_ExtractInformation(char* fileName, char* longFileName, MP3Info_t** ppInfo);

#endif /* end __ID3_H */

